Bug 58637 - cd-rom on hdc and hdd lost interrupt when booting
cd-rom on hdc and hdd lost interrupt when booting
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-21 18:06 EST by Beat Naef
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (6.97 KB, text/plain)
2002-01-21 18:07 EST, Beat Naef
no flags Details
dmesg output after mounting cd-rom (6.54 KB, text/plain)
2002-01-22 13:29 EST, Beat Naef
no flags Details

  None (edit)
Description Beat Naef 2002-01-21 18:06:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
During booting aprox 5 min pause between "Enabling swap space" and "/dev/hdc: 
setting using_dma to 0 (off), using_dma = 0 (off)" (RH service personnel 
suggested to turn off dma access for hdc in rc.sysinit). dmesg shows lots 
of "hdc: lost interrupt" and "hdd: lost interrupt". 
cdrom and cdrom1 are registered in fstab. 
mount /mnt/cdrom1 and mount /mnt/cdrom takes a very long time (~5 min). 

Version-Release number of selected component (if applicable): Kernel 2.4.7-10



How reproducible:
Always

Steps to Reproduce:
1. Turn on PC
2. Boot with lilo: linux hdc=cdrom ide1=nodma
3. Wait, wait, wait after "Enabling swap space" 
	

Actual Results:  Nothing for a long time

Expected Results:  Should properly communicate with hdc (master) and hdd 
(slave) both on secondary ide (ide1)

Additional info:

mount /mnt/cdrom takes a long time.
Comment 1 Beat Naef 2002-01-21 18:07:21 EST
Created attachment 43094 [details]
dmesg output
Comment 2 Arjan van de Ven 2002-01-22 09:08:16 EST
Ok can you do one of the following:
1) add "ide=nodma" (without the quotes) the the "vmlinuz" line in
/boot/grub/grub.conf
or 2) type "e" in the first grub screen and edit the vmlinuz line there

Comment 3 Beat Naef 2002-01-22 13:29:28 EST
Created attachment 43196 [details]
dmesg output after mounting cd-rom
Comment 4 Beat Naef 2002-01-22 13:41:11 EST
Dear arjanv
Thank you for your response.
I am using lilo (that's what I set during installation), so I enter linux 
ide=nodma at lilo prompt. 
Booting runs fine, no major breaks. 
dmesg shows that dma is prevented. All 4 IDE devices are on pio (don't know 
which mode). 
lsmod: ide-cd and cdrom modules are not loaded.

I insert CD into hdc cd-rom and mount /mnt/cdrom. Mounting takes about 5 min. 
dmesg shows lots of "hdc: lost interrupt" and "hdd: lost interrupt"
lsmod: ide-cd and cdrom modules are loaded.
ls /mnt/cdrom lists files on CD.
I repeat with cdrom1. It also takes about 5 min to mount. 

Please also check the attached dmesg.output1 file above.

I hope this helps.
With kind regards
Beat
Comment 5 Beat Naef 2002-01-29 15:21:29 EST
Any news?
With kind regards
Beat
Comment 6 Beat Naef 2002-02-11 12:24:00 EST
Dear Reader
I reinstalled RH 6.2 and there were no problems with my cd-roms and hdds. 
Installation is fine, booting is fine, and mounting is fine. I also 
experimented with several hdd and cd-rom configurations (i.e. using only one 
hdd and the plain- vanilla cd-rom and other configurations). No problems at all.

I then reinstalled RH 7.2 using only 1 hdd on the primary ide and 1 plain-
vanilla cd-rom on the secondary ide. Installation was fine, booting was fine. 
However, mounting the cd-rom is still a big problem - it takes about 5 min and 
generates lots of "hdc: lost interrupt" messages.

Additionally I observed that a few "unresolved dependencies" were generated 
when Linux tried to load the ide-cd and cdrom modules prior to mounting. More 
accurately I have reasons to believe that those "unresolved dependencies" are 
related to loading the ide-cd module.

Please let me know if I can be of any further assistance.

With kind regards
Beat
Comment 7 Arjan van de Ven 2002-02-11 14:12:30 EST
Does ide=nodma work on the lilo prompt ?
(or if you installed grub, add ide=nodma to the vmlinuz line in
/boot/grub/grub.conf)
Comment 8 Beat Naef 2002-02-11 16:45:52 EST
Dear Arjanv
I would appreciate if you were to read my responses to your e-mails! NO, 
ide=nodma doesn't improve anything. See more comments above.
With kind regards
Beat
Comment 9 Beat Naef 2002-02-19 16:19:26 EST
Here I have some additional msg that are being generated when loading the ide-
cd module:
/lib/modules/2.4.7-10/kernel/drivers/ide/ide-cd.o: unresolved symbol 
unregister_cdrom_R94f2f104
/lib/modules/2.4.7-10/kernel/drivers/ide/ide-cd.o: unresolved symbol 
cdrom_mode_sense_R2001c4a1
/lib/modules/2.4.7-10/kernel/drivers/ide/ide-cd.o: unresolved symbol 
cdrom_get_last_written_Ra27af6fe
/lib/modules/2.4.7-10/kernel/drivers/ide/ide-cd.o: unresolved symbol 
cdrom_mode_select_R1f88a106
/lib/modules/2.4.7-10/kernel/drivers/ide/ide-cd.o: unresolved symbol 
init_cdrom_command_Rfacde1b5
/lib/modules/2.4.7-10/kernel/drivers/ide/ide-cd.o: unresolved symbol 
cdrom_fops_R5849550a
/lib/modules/2.4.7-10/kernel/drivers/ide/ide-cd.o: unresolved symbol 
cdrom_number_of_slots_R72c4d34f
/lib/modules/2.4.7-10/kernel/drivers/ide/ide-cd.o: unresolved symbol 
register_cdrom_R8898dca8
/lib/modules/2.4.7-10/kernel/drivers/ide/ide-cd.o: insmod /lib/modules/2.4.7-
10/kernel/drivers/ide/ide-cd.o failed
/lib/modules/2.4.7-10/kernel/drivers/ide/ide-cd.o: insmod ide-cd failed

I hope this helps
With kind regards
Beat
Comment 10 Beat Naef 2002-02-19 19:05:03 EST
My two hdds are on ide0, and my two cd-roms are on ide1.
Adding the kernel argument ide=nodma has the effect that is sets ide0 and ide1 
to pio instead of dma.

If I do not add that argument, the kernel seems to take the settings from the 
bios and set ide0 (hda and hdb) to dma and ide1 (hdc and hdd) to pio. Which is 
what we want, isn't it?

Do I need to set the PCI bus speed for the pio modes, or do I need to set the 
pio mode specifically? If yes, how do I do that?

With kind regards
Beat

Comment 11 Beat Naef 2002-02-19 19:23:28 EST
As I mentioned above I omitted the ide=nodma kernel argument. During shutdown I 
get ide_dmaproc. chipset supported ide_dma_timeout function only: 14 error msg.

Any idea what this means?
With kind regards
Beat
Comment 12 Need Real Name 2002-03-17 09:48:00 EST
Hi,
 
I am also having problems with my cdrom and cd-rw drives.  
My config is as follows:
 
Intel PII 233 Mhz with 256 Mb ram.
 
Red Hat Linux 7.1 (Seawolf)
 
Kernel 2.4.2-2 #1
 
CD-ROM:    NEC CD-ROM DRIVE:288 and the driver is ide-cdrom version 4.59
 
CD-Recordable/rewritable:    LG CD-RW CED-8080B and the driver is ide-cdrom 
version 4.59
 
Hard Drive:    FUJITSU MPA3043ATU
 
I cannot get either of the cdrom drives to mount under Linux (when I issue the 
mount command, the command hangs). Also, my NEC CDROM drive every few seconds 
has the access light on the drive light up (even though there is no CD in the 
drive). When the mount command finally returns (after several minues) I 
sometimes get the message "mount: wrong fs type, bad option, bad superblock 
on /dev/cdrom, or too many mounted file systems"
 
In /var/log/messages I can see the following errors:
 
LINUX Kernel: hdc: lost interrrupt
LINUX Kernel: hdd: lost interrrupt
LINUX Kernel: cdrom: This disc doesn't have any tracks I recognize!
 
Again, on the last message there is no CD in the drive bay!!!
 
I have booted the system with MS-DOS and the CD's work fine. Also, I have used 
Norton Ghost to write to the CD-RW drive (backing up the Linux ext2 hard drive -
 although Norton Ghost fails when switching to a second CD with "Malloc 
failure: SpanHeader" but I think this may be more to do with Norton Ghost than 
the drive... Symantec told me that Norton Ghost does not support Redhat 7.1 
only 6.2!!! I am surprised as I thought ext2 support would mean ext2 support 
and not specific to any release).
 
Anyway, sorry I digressed. As it stands at the moment, I can't play music CD's, 
read data CD's or backup my system using the CD-RW drive. I wondered if you 
could explain what these errors mean, is there a cure and really any help at 
all would be appreciated as I have been battling with this problem for weeks 
with no success. One of my biggest worries is that I can't get a full backup of 
my hard drive or even create incrementals to secure my files. 
 
Yours extremely hopefully
 
John
Comment 13 Need Real Name 2002-03-17 10:26:18 EST
Additional info (hope this helps)

[root@LINUX john]# lsdev
Device            DMA   IRQ  I/O Ports
------------------------------------------------
cascade             4     2 
dma                          0080-008f
dma1                         0000-001f
dma2                         00c0-00df
eth0                     10 
fpu                          00f0-00ff
ide0                     14  01f0-01f7 03f6-03f6 fcf0-fcf7
ide1                     15  0170-0177 0376-0376 fcf8-fcff
Intel                        7000-701f 8000-803f fcc0-fcdf fcf0-fcff
isapnp                       0213-0213 0a79-0a79
keyboard                  1  0060-006f
Mouse                    12 
MPU-401                      0330-0333
ne2k-pci                     fca0-fcbf
PCI                          0cf8-0cff
pic1                         0020-003f
pic2                         00a0-00bf
rtc                       8  0070-007f
serial                    3  02f8-02ff
soundblaster              5  0220-022f
SoundBlaster16      5       
SoundBlaster8       1       
timer                     0  0040-005f
usb-uhci                 11  fcc0-fcdf
vga+                         03c0-03df
Winbond                      fca0-fcbf


[root@LINUX john]# lsmod
Module                  Size  Used by
ppp_async               6704   1  (autoclean)
ppp_generic            17136   4  (autoclean) [ppp_async]
ide-cd                 26848   1  (autoclean)
cdrom                  27232   0  (autoclean) [ide-cd]
autofs                 11264   1  (autoclean)
ne2k-pci                5088   1  (autoclean)
8390                    6816   0  (autoclean) [ne2k-pci]
ipchains               38976   0  (unused)
sb                      7856   0 
sb_lib                 36016   0  [sb]
uart401                 6768   0  [sb_lib]
sound                  62688   0  [sb_lib uart401]
soundcore               4464   5  [sb_lib sound]
usb-uhci               20720   0  (unused)
usbcore                49664   1  [usb-uhci]

[root@LINUX john]# tail -50 /var/log/messages
Mar 17 15:02:38 LINUX kernel: cdrom: This disc doesn't have any tracks I 
recognize!
Mar 17 15:02:48 LINUX kernel: hdd: lost interrupt
Mar 17 15:02:59 LINUX kernel: hdc: lost interrupt
Mar 17 15:03:39 LINUX last message repeated 4 times
Mar 17 15:03:49 LINUX kernel: hdd: lost interrupt
Mar 17 15:04:29 LINUX last message repeated 4 times
Mar 17 15:04:39 LINUX kernel: hdd: lost interrupt
Mar 17 15:04:39 LINUX kernel: cdrom: This disc doesn't have any tracks I 
recognize!
Mar 17 15:04:49 LINUX kernel: hdd: lost interrupt
Mar 17 15:05:00 LINUX kernel: hdc: lost interrupt
Mar 17 15:05:40 LINUX last message repeated 4 times
Mar 17 15:05:50 LINUX kernel: hdd: lost interrupt
Mar 17 15:06:30 LINUX last message repeated 4 times
Mar 17 15:06:40 LINUX kernel: hdd: lost interrupt
Mar 17 15:06:40 LINUX kernel: cdrom: This disc doesn't have any tracks I 
recognize!
Mar 17 15:06:50 LINUX kernel: hdd: lost interrupt
Mar 17 15:07:01 LINUX kernel: hdc: lost interrupt
Mar 17 15:07:41 LINUX last message repeated 4 times
Mar 17 15:07:51 LINUX kernel: hdd: lost interrupt
Mar 17 15:08:31 LINUX last message repeated 4 times
Mar 17 15:08:41 LINUX kernel: hdd: lost interrupt
Mar 17 15:08:41 LINUX kernel: cdrom: This disc doesn't have any tracks I 
recognize!
Mar 17 15:08:51 LINUX kernel: hdd: lost interrupt
Mar 17 15:09:02 LINUX kernel: hdc: lost interrupt
Mar 17 15:09:42 LINUX last message repeated 4 times
Mar 17 15:09:52 LINUX kernel: hdd: lost interrupt
Mar 17 15:10:32 LINUX last message repeated 4 times
Mar 17 15:10:42 LINUX kernel: hdd: lost interrupt
Mar 17 15:10:42 LINUX kernel: cdrom: This disc doesn't have any tracks I 
recognize!
Mar 17 15:10:52 LINUX kernel: hdd: lost interrupt
Mar 17 15:11:03 LINUX kernel: hdc: lost interrupt
Mar 17 15:11:43 LINUX last message repeated 4 times
Mar 17 15:11:53 LINUX kernel: hdd: lost interrupt
Mar 17 15:12:33 LINUX last message repeated 4 times
Mar 17 15:12:43 LINUX kernel: hdd: lost interrupt
Mar 17 15:12:43 LINUX kernel: cdrom: This disc doesn't have any tracks I 
recognize!
Mar 17 15:12:53 LINUX kernel: hdd: lost interrupt
Mar 17 15:13:04 LINUX kernel: hdc: lost interrupt
Mar 17 15:13:24 LINUX last message repeated 2 times
Mar 17 15:13:29 LINUX login(pam_unix)[13141]: session opened for user john by 
john(uid=0)
Mar 17 15:13:29 LINUX  -- john[13141]: LOGIN ON pts/3 BY john FROM WINME
Mar 17 15:13:33 LINUX su(pam_unix)[13178]: session opened for user root by john
(uid=501)
Mar 17 15:13:34 LINUX kernel: hdc: lost interrupt
Mar 17 15:13:44 LINUX kernel: hdc: lost interrupt
Mar 17 15:13:54 LINUX kernel: hdd: lost interrupt
Mar 17 15:14:34 LINUX last message repeated 4 times
Mar 17 15:14:44 LINUX kernel: hdd: lost interrupt
Mar 17 15:14:44 LINUX kernel: cdrom: This disc doesn't have any tracks I 
recognize!
Mar 17 15:14:54 LINUX kernel: hdd: lost interrupt
Mar 17 15:15:05 LINUX kernel: hdc: lost interrupt


System Information
------------------

Total CPU's: 1
 Pentium II (Klamath)  233 MHZ 
 Cache Size:  512 KB
Main Memory Size: 256 MB


Host: ide0 Channel: hda
Vendor: FUJITSU Model: MPA3043ATU
Host: ide1 Channel: hdc
Vendor:     NEC Model: CD-ROM DRIVE:288
Host: ide1 Channel: hdd
Vendor:      LG Model: CD-RW CED-8080B

PS/2 Mouse Detected

Keyboard Detected: 1
Serial Ports: 1
PCMCIA:
no pcmcia driver in /proc/devices
Parallel Ports: 0
Ethernet Controllers: eth0

Host bridge: Intel Corporation 440LX/EX - 82443LX/EX Host bridge (rev 03)
PCI bridge: Intel Corporation 440LX/EX - 82443LX/EX AGP bridge (rev 03)
ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 01)  
IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01)  
USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01)  
Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 01)   
Ethernet controller: Winbond Electronics Corp W89C940     
VGA compatible controller: Matrox Graphics, Inc. MGA 1064SG [Mystique] (rev 03)

USB Device: 1 Driver: hub
 USB UHCI Root Hub

Hope this information is useful. By the way, I hate to sound pushy but is this 
problem likely to take a long time to fix (weeks / months /years) and if so can 
you recommend a version of Linux that I can install which does not have this 
problem??? As I mentioned earlier, I cant even use the CDROM drives to install 
rpm packages from CD and I can't take backups which means that anything I 
create I could potentially lose which would be devastating... Hope to hear from 
you soon..

Thanks

John
Comment 14 Need Real Name 2002-03-20 17:11:04 EST
Any progress on my added comments???
Comment 15 Need Real Name 2002-03-24 12:59:15 EST
The following may also be off help, it's the contents of dmesg:


Linux version 2.4.2-2 (root@porky.devel.redhat.com) (gcc version 2.96 20000731 
(Red Hat Linux 7.1 2.96-79)) #1 Sun Apr 8 20:41:30 EDT 2001
BIOS-provided physical RAM map:
 BIOS-e820: 000000000009f800 @ 0000000000000000 (usable)
 BIOS-e820: 0000000000000800 @ 000000000009f800 (reserved)
 BIOS-e820: 0000000000020000 @ 00000000000e0000 (reserved)
 BIOS-e820: 000000000ff00000 @ 0000000000100000 (usable)
 BIOS-e820: 0000000000080000 @ 00000000fff80000 (reserved)
On node 0 totalpages: 65536
zone(0): 4096 pages.
zone DMA has max 32 cached pages.
zone(1): 61440 pages.
zone Normal has max 480 cached pages.
zone(2): 0 pages.
zone HighMem has max 1 cached pages.
Kernel command line: auto BOOT_IMAGE=linux ro root=305 BOOT_FILE=/boot/vmlinuz-
2.4.2-2
Initializing CPU#0
Detected 233.298 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 465.30 BogoMIPS
Memory: 255352k/262144k available (1365k kernel code, 6404k reserved, 92k data, 
236k init, 0k highmem)
Dentry-cache hash table entries: 32768 (order: 6, 262144 bytes)
Buffer-cache hash table entries: 16384 (order: 4, 65536 bytes)
Page-cache hash table entries: 65536 (order: 7, 524288 bytes)
Inode-cache hash table entries: 16384 (order: 5, 131072 bytes)
VFS: Diskquotas version dquot_6.5.0 initialized
CPU: Before vendor init, caps: 0080f9ff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 512K
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: After vendor init, caps: 0080f9ff 00000000 00000000 00000000
CPU: After generic, caps: 0080f9ff 00000000 00000000 00000000
CPU: Common caps: 0080f9ff 00000000 00000000 00000000
CPU: Intel Pentium II (Klamath) stepping 03
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.37 (20001109) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
PCI: PCI BIOS revision 2.10 entry at 0xfd9cc, last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
Unknown bridge resource 0: assuming transparent
Unknown bridge resource 1: assuming transparent
Unknown bridge resource 2: assuming transparent
PCI: Using IRQ router PIIX [8086/7110] at 00:07.0
Limiting direct PCI/PCI transfers.
isapnp: Scanning for PnP cards...
isapnp: Calling quirk for 01:00
isapnp: SB audio device quirk - increasing port range
isapnp: Card 'Creative SB16 PnP'
isapnp: 1 Plug & Play card detected total
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.14)
Starting kswapd v1.8
pty: 256 Unix98 ptys configured
block: queued sectors max/low 169496kB/56498kB, 512 slots per queue
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
PIIX4: IDE controller on PCI bus 00 dev 39
PIIX4: chipset revision 1
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xfcf0-0xfcf7, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xfcf8-0xfcff, BIOS settings: hdc:DMA, hdd:DMA
ide6: Creative SB16 PnP IDE interface
hda: FUJITSU MPA3043ATU, ATA DISK drive
hdc: NEC CD-ROM DRIVE:288, ATAPI CD/DVD-ROM drive
hdd: LG CD-RW CED-8080B, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: 8544940 sectors (4375 MB), CHS=531/255/63, UDMA(33)
Partition check:
 hda: hda1 hda2 < hda5 hda6 >
Floppy drive(s): fd0 is 1.44M
FDC 0 is a National Semiconductor PC87306
Serial driver version 5.02 (2000-08-09) with MANY_PORTS MULTIPORT SHARE_IRQ 
SERIAL_PCI ISAPNP enabled
ttyS01 at 0x02f8 (irq = 3) is a 16550A
Real Time Clock Driver v1.10d
md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md.c: sizeof(mdp_super_t) = 4096
autodetecting RAID arrays
autorun ...
... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 2048 buckets, 16Kbytes
TCP: Hash tables configured (established 16384 bind 16384)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 236k freed
Adding Swap: 530104k swap-space (priority -1)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.251 $ time 20:53:29 Apr  8 2001
usb-uhci.c: High bandwidth mode enabled
PCI: Enabling device 00:07.2 (0004 -> 0005)
PCI: Found IRQ 11 for device 00:07.2
usb-uhci.c: USB UHCI at I/O 0xfcc0, IRQ 11
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
Soundblaster audio driver Copyright (C) by Hannu Savolainen 1993-1996
sb: Creative SB16 PnP detected
sb: ISAPnP reports 'Creative SB16 PnP' at i/o 0x220, irq 5, dma 1, 5
SB 4.13 detected OK (220)
sb: 1 Soundblaster PnP card(s) found.

And then the last 40 or so lines from my current /var/log/messages file:

Mar 24 17:33:37 LINUX kernel: hdc: lost interrupt
Mar 24 17:34:07 LINUX last message repeated 3 times
Mar 24 17:34:17 LINUX kernel: hdd: lost interrupt
Mar 24 17:34:57 LINUX last message repeated 4 times
Mar 24 17:35:07 LINUX kernel: hdd: lost interrupt
Mar 24 17:35:07 LINUX kernel: cdrom: This disc doesn't have any tracks I 
recognize!
Mar 24 17:35:17 LINUX kernel: hdd: lost interrupt
Mar 24 17:35:28 LINUX kernel: hdc: lost interrupt
Mar 24 17:36:08 LINUX last message repeated 4 times
Mar 24 17:36:18 LINUX kernel: hdd: lost interrupt
Mar 24 17:36:58 LINUX last message repeated 4 times
Mar 24 17:37:08 LINUX kernel: hdd: lost interrupt
Mar 24 17:37:08 LINUX kernel: cdrom: This disc doesn't have any tracks I 
recognize!
Mar 24 17:37:18 LINUX kernel: hdd: lost interrupt
Mar 24 17:37:29 LINUXkernel: hdc: lost interrupt
Mar 24 17:38:09 LINUX last message repeated 4 times
Mar 24 17:38:19 LINUX kernel: hdd: lost interrupt
Mar 24 17:38:59 LINUX last message repeated 4 times
Mar 24 17:39:09 LINUX kernel: hdd: lost interrupt
Mar 24 17:39:09 LINUX kernel: cdrom: This disc doesn't have any tracks I 
recognize!
Mar 24 17:39:19 LINUX kernel: hdd: lost interrupt
Mar 24 17:39:30 LINUX kernel: hdc: lost interrupt
Mar 24 17:40:10 LINUX last message repeated 4 times
Mar 24 17:40:20 LINUX kernel: hdd: lost interrupt
Mar 24 17:41:00 LINUX last message repeated 4 times
Mar 24 17:41:10 LINUX kernel: hdd: lost interrupt
Mar 24 17:41:10 LINUX kernel: cdrom: This disc doesn't have any tracks I 
recognize!
Mar 24 17:41:20 LINUX kernel: hdd: lost interrupt
Mar 24 17:41:31 LINUX kernel: hdc: lost interrupt
Mar 24 17:42:11 LINUX last message repeated 4 times
Mar 24 17:42:21 LINUX kernel: hdd: lost interrupt
Mar 24 17:43:01 LINUX last message repeated 4 times
Mar 24 17:43:11 LINUX kernel: hdd: lost interrupt
Mar 24 17:43:11 LINUX kernel: cdrom: This disc doesn't have any tracks I 
recognize!
Mar 24 17:43:21 LINUX kernel: hdd: lost interrupt
Mar 24 17:43:32 LINUX kernel: hdc: lost interrupt

Please note that the above messages are occurring despite the fact that I am 
not trying to mount the CDROM or access it in any way...

And some output from /proc regarding IDE:


                                Intel PIIX4 Ultra 33 Chipset.
--------------- Primary Channel ---------------- Secondary Channel -------------
                 enabled                          enabled
--------------- drive0 --------- drive1 -------- drive0 ---------- drive1 ------
DMA enabled:    yes              no              yes               yes
UDMA enabled:   yes              no              no                no 
UDMA enabled:   2                X               X                 X
UDMA
DMA
PIO

Please note that I have two ide controllers, hda being the hard disk, hdc on 
the secondary controller is CDROM (master) and the slave hdd is CD-RW.. I have 
tried booting without the CD-RW drive attached but it makes no difference.

Hope the following may be of use too:

cat /proc/ide/piix   


                             Intel PIIX4 Ultra 33 Chipset.
--------------- Primary Channel ---------------- Secondary Channel -------------
                 enabled                          enabled
--------------- drive0 --------- drive1 -------- drive0 ---------- drive1 ------
DMA enabled:    yes              no              yes               yes
UDMA enabled:   yes              no              no                no 
UDMA enabled:   2                X               X                 X
UDMA
DMA
PIO

cat /proc/ide/ide1/channel
1

cat /proc/ide/ide1/config
pci bus 00 device 39 vid 8086 did 7111 channel 1
86 80 11 71 05 00 80 02 01 80 01 01 00 40 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f1 fc 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
07 a3 77 e3 38 00 00 00 01 00 02 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 00 28 0f 00 00 00 00 00 00

cat /proc/ide/ide1/mate
ide0

cat /proc/ide/ide1/model
pci

cat /proc/ide/ide1/hdc/media
cdrom

cat /proc/ide/ide1/model
NEC CD-ROM DRIVE:288

cat /proc/ide/ide1/settings
name value min max mode
---- ----- --- --- ----
breada_readahead 4 0 127 rw
current_speed 34 0 69 rw
dsc_overlap 1 0 1 rw
file_readahead 0 0 2097151 rw
ide_scsi 0 0 1 rw
init_speed 34 0 69 rw
io_32bit 0 0 3 rw
keepsettings 0 0 1 rw
max_kb_per_request 64 1 127 rw
nice1 1 0 1 rw
number 2 0 3 rw
pio_mode write-only 0 255 w
slow 0 0 1 rw
unmaskirq 0 0 1 rw
using_dma 1 0 1 rw

cat /proc/ide/ide1/capacity
769612

cat /proc/ide/ide1/driver
ide-cdrom version 4.59

cat /proc/ide/ide1/identify
8580 0000 0000 0000 0000 0000 0000 0000
0000 0000 2020 2020 2020 2020 2020 2020
2020 2020 2020 2020 0000 0080 0000 332e
3035 2020 2020 4e45 4320 2020 2020 2020
2020 2020 2020 2020 2020 4344 2d52 4f4d
2044 5249 5645 3a32 3838 2020 2020 0000
0000 0b00 0000 0200 0200 0002 0000 0000
0000 0000 0000 0000 0000 0000 0007 0407
0003 0078 0078 0078 0078 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000
0000 0000 0000 0000 0000 0000 0000 0000

/sbin/lsmod
Module Size Used by
ppp_async 6704 1 (autoclean)
ppp_generic 17136 4 (autoclean) [ppp_async]
ide-cd 26848 1 (autoclean)
cdrom 27232 0 (autoclean) [ide-cd]
autofs 11264 1 (autoclean)
ne2k-pci 5088 1 (autoclean)
8390 6816 0 (autoclean) [ne2k-pci]
ipchains 38976 0 (unused)
sb 7856 1
sb_lib 36016 0 [sb]
uart401 6768 0 [sb_lib]
sound 62688 1 [sb_lib uart401]
soundcore 4464 5 [sb_lib sound]
usb-uhci 20720 0 (unused)
usbcore 49664 1 [usb-uhci]

/sbin/hdparm /dev/hdc

/dev/hdc:
HDIO_GET_MULTCOUNT failed: Invalid argument
I/O support = 0 (default 16-bit)
unmaskirq = 0 (off)
using_dma = 1 (on)
keepsettings = 0 (off)
HDIO_GET_NOWERR failed: Invalid argument
readonly = 1 (on)
readahead = 8 (on)
HDIO_GETGEO failed: Invalid argument 

Places where hdparm is used in /etc:


grep --directories=recurse hdparm /etc/
/etc/sysconfig/harddisks:# read the hdparm man page for more information
/etc/sysconfig/harddisks:# See the hdparm manpage (man hdparm) for details and 
more options.
/etc/sysconfig/apm-scripts/apmscript: # unless they're set to 100% failsafe 
settings with hdparm.
/etc/sysconfig/apm-scripts/apmscript: hdparm $HDPARM_AT_SUSPEND $DRIVE
/etc/sysconfig/apm-scripts/apmscript: hdparm -q -S0 $DRIVE
/etc/sysconfig/apm-scripts/apmscript: hdparm $HDPARM_AT_RESUME $DRIVE
/etc/rc.d/rc.sysinit:# after installing the hdparm-RPM. If you need different 
hdparm parameters
/etc/rc.d/rc.sysinit:if [ -x /sbin/hdparm ]; then
/etc/rc.d/rc.sysinit: action $"Setting hard drive parameters for ${disk
[$device]}: " /sbin/hdparm ${HDFLAGS[$device]} /dev/${disk[$device]}
/etc/rc.sysinit:# after installing the hdparm-RPM. If you need different hdparm 
parameters
/etc/rc.sysinit:if [ -x /sbin/hdparm ]; then
/etc/rc.sysinit: action $"Setting hard drive parameters for ${disk
[$device]}: " /sbin/hdparm ${HDFLAGS[$device]} /dev/${disk[$device]}
/etc/tripwire/twpol.txt: /sbin/hdparm -> $(SEC_CRIT) ;

Please could somebody acknowledge that this BUG report is actually being 
investigated. I feel as though I am trying to provide as much information as I 
possibly can to help find a solution but I have had no response to even suggest 
that the problem is being looked at. A courtesy email would be nice just so I 
know that I am not talking to myself here!!!
Comment 16 Bugzilla owner 2004-09-30 11:39:20 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.